%define mattermost_user mattermost
%define mattermost_group mattermost
%define mattermost_home /var/lib/mattermost
%define debug_package %{nil}

Name:		mattermost-plugin-custom-attributes
Version:	1.3.0
Release:	1%{?dist}
Summary:	Plugin for Mattermost to have Custom Attributes
URL:            https://github.com/mattermost/mattermost-plugin-custom-attributes
License:	Apache
BuildRequires:	golang
Requires:	mattermost


%description


%prep
%setup -q -T -c %{name}-%{version}
export GOPATH=`pwd`
mkdir -p src/github.com/mattermost/
cd src/github.com/mattermost/
git clone https://github.com/mattermost/mattermost-plugin-custom-attributes


%build
export GOPATH=`pwd`
export PATH="bin:"$PATH
export GO111MODULE=on
cd src/github.com/mattermost/mattermost-plugin-custom-attributes
git checkout v%{version}
pushd webapp
npm install
npm run build
popd
go build -o plugin.exe ./server


%install
mkdir -p %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/{webapp,server}/
cp -rv src/github.com/mattermost/mattermost-plugin-custom-attributes/plugin.json %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/
sed 's/"executables": {/"executables": { "server\/plugin.exe"/' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/plugin.json
sed '/"darwin-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/plugin.json
sed '/"linux-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/plugin.json
sed '/"windows-amd64"/d' -i %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/plugin.json
cp -rv src/github.com/mattermost/mattermost-plugin-custom-attributes/plugin.exe %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/server/
cp -rv src/github.com/mattermost/mattermost-plugin-custom-attributes/webapp/dist/ %{buildroot}%{mattermost_home}/plugins/com.mattermost.custom-attributes/webapp/


%files
%{mattermost_home}/plugins/com.mattermost.custom-attributes/plugin.json
%{mattermost_home}/plugins/com.mattermost.custom-attributes/server/plugin.exe
%{mattermost_home}/plugins/com.mattermost.custom-attributes/webapp/dist/main.js


%changelog
